summaryrefslogtreecommitdiffstats
path: root/test/test_debdiff
diff options
context:
space:
mode:
Diffstat (limited to 'test/test_debdiff')
-rwxr-xr-xtest/test_debdiff35
1 files changed, 35 insertions, 0 deletions
diff --git a/test/test_debdiff b/test/test_debdiff
new file mode 100755
index 0000000..8043574
--- /dev/null
+++ b/test/test_debdiff
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+# Copyright (C) 2013, James McCoy <jamessan@debian.org>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -u
+
+if test "${1:-}" = --installed; then
+ COMMAND="debdiff --no-conf"
+ shift
+else
+ COMMAND="perl -I ${0%/*}/../lib ${0%/*}/../scripts/debdiff.pl --no-conf"
+fi
+
+WORKDIR="$(readlink -f "${0%/*}")"
+
+test() {
+ $COMMAND ${WORKDIR}/debdiff/devscripts_2.13.0_any.deb ${WORKDIR}/debdiff/devscripts_2.13.1_any.deb >/dev/null 2>/dev/null
+ rc=$?
+ assertEquals 'difference found, no errors' 1 $rc
+}
+
+. shunit2